
package com.jeelowcode.core.framework.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeelowcode.core.framework.entity.HistoryI18nEntity;
import com.jeelowcode.core.framework.entity.ReportEntity;
import com.jeelowcode.core.framework.params.PageReportParam;
import com.jeelowcode.framework.excel.model.MoreSheetConfig;

import java.util.List;
import java.util.Map;

/**
 * 国际化
 */
public interface II18nService {

    void saveHistory(HistoryI18nEntity entity);

    void addOneCou(String batchCode);

    Map<String,Integer> getImportProgress(String batchCode);

    //导出国际化配置
    List<MoreSheetConfig> export(Map<String,Object> langMap);

    //导入
    void importData(String batchCode,Map<Integer,List<Map<String, Object>>> sheetDataMap);

    //获取列表
    IPage<HistoryI18nEntity> getPages(Page page);
}
